export default ArrowWithCircle;
declare class ArrowWithCircle extends Arrow {
    circleCone: Cone;
    material: MeshStandardMaterial;
    torus: Mesh;
    setTorusDimensions({ radius, tube }: {
        radius: any;
        tube: any;
    }): void;
    setCircleConeDimensions({ radius, length }: {
        radius: any;
        length: any;
    }): void;
    setColor({ cone, cylinder, torus, circleCone }: {
        cone: any;
        cylinder: any;
        torus: any;
        circleCone: any;
    }): void;
    setAlpha({ cone, cylinder, torus, circleCone }: {
        cone: any;
        cylinder: any;
        torus: any;
        circleCone: any;
    }): void;
    applyQuaternion(quaternion: import("three").Quaternion): ArrowWithCircle;
    rotateOnAxis(axis: import("three").Vector3, angle: number): ArrowWithCircle;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): ArrowWithCircle;
    rotateX(angle: number): ArrowWithCircle;
    rotateY(angle: number): ArrowWithCircle;
    rotateZ(angle: number): ArrowWithCircle;
    translateOnAxis(axis: import("three").Vector3, distance: number): ArrowWithCircle;
    translateX(distance: number): ArrowWithCircle;
    translateY(distance: number): ArrowWithCircle;
    translateZ(distance: number): ArrowWithCircle;
    add(...object: import("three").Object3D[]): ArrowWithCircle;
    remove(...object: import("three").Object3D[]): ArrowWithCircle;
    attach(object: import("three").Object3D): ArrowWithCircle;
    clone(recursive?: boolean | undefined): ArrowWithCircle;
    copy(source: ArrowWithCircle, recursive?: boolean | undefined): ArrowWithCircle;
}
import Arrow from "./Arrow";
import Cone from "./Cone";
import { MeshStandardMaterial } from "three/src/materials/MeshStandardMaterial";
import { Mesh } from "three/src/objects/Mesh";
